@mulesoft/exchange
===============



[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/@mulesoft/exchange.svg)](https://npmjs.org/package/@mulesoft/exchange)
[![Downloads/week](https://img.shields.io/npm/dw/@mulesoft/exchange.svg)](https://npmjs.org/package/@mulesoft/exchange)
[![License](https://img.shields.io/npm/l/@mulesoft/exchange.svg)](https://github.com/packages/exchange/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @mulesoft/anypoint-cli-exchange-plugin
$ anypoint-cli-exchange-plugin COMMAND
running command...
$ anypoint-cli-exchange-plugin (--version)
@mulesoft/anypoint-cli-exchange-plugin/0.4.0 darwin-x64 node-v16.14.2
$ anypoint-cli-exchange-plugin --help [COMMAND]
USAGE
  $ anypoint-cli-exchange-plugin COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`anypoint-cli-exchange-plugin conf [KEY] [VALUE]`](#anypoint-cli-exchange-plugin-conf-key-value)
* [`anypoint-cli-exchange-plugin exchange:asset:copy SOURCE TARGET`](#anypoint-cli-exchange-plugin-exchangeassetcopy-source-target)
* [`anypoint-cli-exchange-plugin exchange:asset:delete ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetdelete-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:deprecate ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetdeprecate-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:describe ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetdescribe-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:download [ASSETIDENTIFIER] [DIRECTORY]`](#anypoint-cli-exchange-plugin-exchangeassetdownload-assetidentifier-directory)
* [`anypoint-cli-exchange-plugin exchange:asset:list [SEARCHTEXT]`](#anypoint-cli-exchange-plugin-exchangeassetlist-searchtext)
* [`anypoint-cli-exchange-plugin exchange:asset:modify ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetmodify-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:mutableDataUpload ASSETIDENTIFIER [PROPERTIES]`](#anypoint-cli-exchange-plugin-exchangeassetmutabledataupload-assetidentifier-properties)
* [`anypoint-cli-exchange-plugin exchange:asset:page:delete ASSETIDENTIFIER [PAGENAME]`](#anypoint-cli-exchange-plugin-exchangeassetpagedelete-assetidentifier-pagename)
* [`anypoint-cli-exchange-plugin exchange:asset:page:download ASSETIDENTIFIER DIRECTORY [PAGENAME]`](#anypoint-cli-exchange-plugin-exchangeassetpagedownload-assetidentifier-directory-pagename)
* [`anypoint-cli-exchange-plugin exchange:asset:page:list ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetpagelist-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:page:modify ASSETIDENTIFIER PAGENAME`](#anypoint-cli-exchange-plugin-exchangeassetpagemodify-assetidentifier-pagename)
* [`anypoint-cli-exchange-plugin exchange:asset:page:update ASSETIDENTIFIER PAGENAME MDPATH`](#anypoint-cli-exchange-plugin-exchangeassetpageupdate-assetidentifier-pagename-mdpath)
* [`anypoint-cli-exchange-plugin exchange:asset:page:upload ASSETIDENTIFIER PAGENAME MDPATH`](#anypoint-cli-exchange-plugin-exchangeassetpageupload-assetidentifier-pagename-mdpath)
* [`anypoint-cli-exchange-plugin exchange:asset:resource:delete ASSETIDENTIFIER RESOURCEPATH`](#anypoint-cli-exchange-plugin-exchangeassetresourcedelete-assetidentifier-resourcepath)
* [`anypoint-cli-exchange-plugin exchange:asset:resource:download ASSETIDENTIFIER RESOURCEPATH FILEPATH`](#anypoint-cli-exchange-plugin-exchangeassetresourcedownload-assetidentifier-resourcepath-filepath)
* [`anypoint-cli-exchange-plugin exchange:asset:resource:list ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetresourcelist-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:resource:upload ASSETIDENTIFIER FILEPATH`](#anypoint-cli-exchange-plugin-exchangeassetresourceupload-assetidentifier-filepath)
* [`anypoint-cli-exchange-plugin exchange:asset:undeprecate ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetundeprecate-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:updateStatus ASSETIDENTIFIER`](#anypoint-cli-exchange-plugin-exchangeassetupdatestatus-assetidentifier)
* [`anypoint-cli-exchange-plugin exchange:asset:upload ASSETIDENTIFIER [PROPERTIES]`](#anypoint-cli-exchange-plugin-exchangeassetupload-assetidentifier-properties)
* [`anypoint-cli-exchange-plugin help [COMMAND]`](#anypoint-cli-exchange-plugin-help-command)
* [`anypoint-cli-exchange-plugin version`](#anypoint-cli-exchange-plugin-version)

## `anypoint-cli-exchange-plugin conf [KEY] [VALUE]`

Manage authentication credentials in a configuration file (config.json) 

```
USAGE
  $ anypoint-cli-exchange-plugin conf [KEY] [VALUE] [-h] [-k <value>] [-v <value>] [-d]

ARGUMENTS
  KEY    key of the config
  VALUE  value of the config

FLAGS
  -d, --delete         delete config key
  -h, --help           Show CLI help.
  -k, --key=<value>    key of the config
  -v, --value=<value>  value of the config

DESCRIPTION
  Manage authentication credentials in a configuration file (config.json)
  by adding and removing key value pairs. Set one key value pair per command execution.
  CLI config file: ~/Library/Preferences/anypoint-cli-v4-nodejs/config.json

EXAMPLES
  $ anypoint-cli-exchange-plugin conf username myuser

  $ anypoint-cli-exchange-plugin conf password mypwd
```

## `anypoint-cli-exchange-plugin exchange:asset:copy SOURCE TARGET`

Copy an asset. Arguments "source" and "target" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:copy [SOURCE] [TARGET] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-t <value>]

FLAGS
  -h, --help                          Show CLI help.
  -t, --targetOrganizationId=<value>  Target organization id
  --bearer=<value>                    Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>                 Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>             Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment
                                      variable.
  --collectMetrics                    collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>               Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com        [default: anypoint.mulesoft.com] Host URL. You can define this in the
                                      ANYPOINT_HOST environment variable.
  --organization=<value>              Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>                  Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>                  Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Copy an asset. Arguments "source" and "target" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If
  "group_id" is not specified, it will default to the currently selected Organization ID.
```

_See code: [src/commands/exchange/asset/copy.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/copy.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:delete ASSETIDENTIFIER`

Delete an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:delete [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If
  "group_id" is not specified, it will default to the currently selected Organization ID.
```

_See code: [src/commands/exchange/asset/delete.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/delete.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:deprecate ASSETIDENTIFIER`

Deprecate an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:deprecate [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Deprecate an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If
  "group_id" is not specified, it will default to the currently selected Organization ID
```

_See code: [src/commands/exchange/asset/deprecate.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/deprecate.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:describe ASSETIDENTIFIER`

Show a given asset's information. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:describe [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show a given asset's information. Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/describe.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/describe.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:download [ASSETIDENTIFIER] [DIRECTORY]`

Download an asset to the specified directory. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:download [ASSETIDENTIFIER] [DIRECTORY] [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Download an asset to the specified directory. Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/download.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/download.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:list [SEARCHTEXT]`

Lists all assets

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:list [SEARCHTEXT] [--password <value> [--username <value> | --client_id
    <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>]
    [--host <value>] [--collectMetrics] [-h] [--organizationId <value>] [-l <value>] [-o <value>] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -l, --limit=<value>           [default: 10] Number of results to retrieve
  -o, --offset=<value>          Offset
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --organizationId=<value>      Filter by organization id
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all assets
```

_See code: [src/commands/exchange/asset/list.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/list.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:modify ASSETIDENTIFIER`

Modify an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:modify [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-n <value>] [-t <value>]

FLAGS
  -h, --help                    Show CLI help.
  -n, --name=<value>            New asset name
  -t, --tags=<value>            Asset comma-separated tags list
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Modify an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If
  "group_id" is not specified, it will default to the currently selected Organization ID.
```

_See code: [src/commands/exchange/asset/modify.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/modify.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:mutableDataUpload ASSETIDENTIFIER [PROPERTIES]`

Uploads mutable data (tags, categories, fields and documentation) to an already created asset. Basic example to upload mutable data: exchange asset mutableData --tags tag1,tag2 --categories.someKey someValue --docs /..../file-path/docs.zip asset-id/1.0.0. Describing the asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:mutableDataUpload [ASSETIDENTIFIER] [PROPERTIES] [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--tags <value>] [--categories <value>] [--fields
    <value>] [--docs <value>]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --categories=<value>          Categories. Should be used as --categories='{"someKey": "someValue"}'
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --docs=<value>                Docs file. (Should specify the the "zip" file path. E.g. "--docs
                                /.../file-path/docs.zip")
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --fields=<value>              Custom Fields. Should be used as --fields='{"someKey": "someValue"}'
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --tags=<value>                Tags. Should be used as a comma separated list. E.g. "tag1,tag2,tag3"
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Uploads mutable data (tags, categories, fields and documentation) to an already created asset. Basic example to upload
  mutable data: exchange asset mutableData --tags tag1,tag2 --categories.someKey someValue --docs
  /..../file-path/docs.zip asset-id/1.0.0. Describing the asset. Argument "assetIdentifier" should be formatted as
  follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
  To learn more about the creation endpoint visit https://anypoint.mulesoft.com/exchange/portals/anypoint-platform/f1e97
  bc6-315a-4490-82a7-23abe036327a.anypoint-platform/exchange-experience-api/minor/2.0/pages/Asset%20Creation/
```

_See code: [src/commands/exchange/asset/mutableDataUpload.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/mutableDataUpload.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:page:delete ASSETIDENTIFIER [PAGENAME]`

Delete an asset's description page. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:page:delete [ASSETIDENTIFIER] [PAGENAME] [--password <value> [--username <value>
    | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-n <value>] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  -n, --name=<value>            name to print
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete an asset's description page. Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/page/delete.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/page/delete.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:page:download ASSETIDENTIFIER DIRECTORY [PAGENAME]`

Download an asset's description page in Markdown format. When "pageName" is not specified, all pages are downloaded. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:page:download [ASSETIDENTIFIER] [DIRECTORY] [PAGENAME] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Download an asset's description page in Markdown format. When "pageName" is not specified, all pages are downloaded.
  Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not
  specified, it will default to the currently selected Organization ID.
```

_See code: [src/commands/exchange/asset/page/download.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/page/download.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:page:list ASSETIDENTIFIER`

List all pages for a given asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:page:list [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  List all pages for a given asset. Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/page/list.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/page/list.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:page:modify ASSETIDENTIFIER PAGENAME`

Modify an asset's description page name. Renames page specified with --name to the new name <pageName>. The page name "home" makes a page the main description page. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:page:modify [ASSETIDENTIFIER] [PAGENAME] -n <value> [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  -n, --name=<value>            (required) New asset page name
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Modify an asset's description page name. Renames page specified with --name to the new name <pageName>. The page name
  "home" makes a page the main description page. Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/page/modify.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/page/modify.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:page:update ASSETIDENTIFIER PAGENAME MDPATH`

Update an asset's description page in Markdown format. The page name "home" represents the main description page. Argument "assetIdentifier" should be formatted as follows:Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:page:update [ASSETIDENTIFIER] [PAGENAME] [MDPATH] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-n <value>] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  -n, --name=<value>            name to print
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Update an asset's description page in Markdown format. The page name "home" represents the main description page.
  Argument "assetIdentifier" should be formatted as follows:Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/page/update.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/page/update.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:page:upload ASSETIDENTIFIER PAGENAME MDPATH`

Upload an asset's description page in Markdown format. The page name "home" makes a page the main description page. Argument "assetIdentifier" should be formatted as follows: Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:page:upload [ASSETIDENTIFIER] [PAGENAME] [MDPATH] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-n <value>] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  -n, --name=<value>            name to print
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Upload an asset's description page in Markdown format. The page name "home" makes a page the main description page.
  Argument "assetIdentifier" should be formatted as follows: Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
```

_See code: [src/commands/exchange/asset/page/upload.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/page/upload.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:resource:delete ASSETIDENTIFIER RESOURCEPATH`

Delete the specified resource from the asset portal as draft

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:resource:delete [ASSETIDENTIFIER] [RESOURCEPATH] [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete the specified resource from the asset portal as draft
```

_See code: [src/commands/exchange/asset/resource/delete.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/resource/delete.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:resource:download ASSETIDENTIFIER RESOURCEPATH FILEPATH`

Downloads the specified published resource (<resourcePath>) from the asset portal to <filePath>

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:resource:download [ASSETIDENTIFIER] [RESOURCEPATH] [FILEPATH] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-n <value>] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  -n, --name=<value>            name to print
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Downloads the specified published resource (<resourcePath>) from the asset portal to <filePath>
```

_See code: [src/commands/exchange/asset/resource/download.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/resource/download.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:resource:list ASSETIDENTIFIER`

Lists published resources in the asset portal

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:resource:list [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-d] [-o <value>]

FLAGS
  -d, --draft                   Lists draft resources in the asset portal
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists published resources in the asset portal
```

_See code: [src/commands/exchange/asset/resource/list.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/resource/list.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:resource:upload ASSETIDENTIFIER FILEPATH`

Upload a resource to an asset page  Supported file extensions: jpeg, jpg, jpe, gif, bmp, png, webp, ico, svg, tiff, tif

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:resource:upload [ASSETIDENTIFIER] [FILEPATH] [--password <value> [--username <value>
    | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h] [-n <value>] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  -n, --name=<value>            name to print
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Upload a resource to an asset page  Supported file extensions: jpeg, jpg, jpe, gif, bmp, png, webp, ico, svg, tiff,
  tif
```

_See code: [src/commands/exchange/asset/resource/upload.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/resource/upload.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:undeprecate ASSETIDENTIFIER`

Undeprecate an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:undeprecate [ASSETIDENTIFIER] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Undeprecate an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If
  "group_id" is not specified, it will default to the currently selected Organization ID
```

_See code: [src/commands/exchange/asset/undeprecate.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/undeprecate.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:updateStatus ASSETIDENTIFIER`

Updates asset status. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:updateStatus [ASSETIDENTIFIER] --status <value> [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --status=<value>              (required) (required) New asset status
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Updates asset status. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If
  "group_id" is not specified, it will default to the currently selected Organization ID.
```

_See code: [src/commands/exchange/asset/updateStatus.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/updateStatus.ts)_

## `anypoint-cli-exchange-plugin exchange:asset:upload ASSETIDENTIFIER [PROPERTIES]`

Upload a rest-api, soap-api, http-api, custom, app, template, example, policy and connector asset. Basic example to upload a raml asset: exchange:asset:upload --name "Raml Asset" --description "RAML" --properties='{"mainFile":"encrypt.raml", "apiVersion":"v1"}' --files='{"raml.zip":".../file-path/raml.zip" }"' raml-asset/1.0.0. Describing the asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID.

```
USAGE
  $ anypoint-cli-exchange-plugin exchange:asset:upload [ASSETIDENTIFIER] [PROPERTIES] [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--name <value>] [--description <value>] [--type
    <value>] [--keywords <value>] [--tags <value>] [--categories <value>] [--fields <value>] [--dependencies <value>]
    [--properties <value>] [--headers <value>] [--files <value>] [--status development|published]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --categories=<value>          Categories. Should be used as --categories='{"someKey": "someValue"}'
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --dependencies=<value>        Asset dependencies, separated by ",". E.g. dependencies
                                groupId:assetId:version,groupId2...
  --description=<value>         Asset description
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --fields=<value>              Custom Fields. Should be used as --fields='{"someKey": "someValue"}'
  --files=<value>               Asset file. (it should be identified as classifier.packaging or just "packaging" as key
                                of a json. E.g. --files='{"raml.zip":".../file-path/raml.zip" }"' (to send multiple
                                files, use the same option multiple times. Example:
                                --files='{"raml.zip":".../file-path/raml.zip" , "pom.xml": "./pom.xml"}'
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --keywords=<value>            Keywords. Should be used as a comma separated list. E.g. "keyword1,keyword2,keyword3"
  --name=<value>                Asset name (required if no pom file is specified)
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --properties=<value>          Asset properties. Should be used as --properties='{"mainFile":"main.raml",
                                "apiVersion":"v1", "assetLink": "http://api.com"}'
  --headers=<value>             Request headers. Should be used as --headers='{"assign-roles":"true", 
                                "x-user-id": "user_id"}'                             
  --status=<option>             Asset status can be one of: development or published
                                <options: development|published>
  --tags=<value>                Tags. Should be used as a comma separated list. E.g. "tag1,tag2,tag3"
  --type=<value>                Asset Type. (required if no file is uploaded. If it is uploaded, type will be inferred
                                from classifier)Supported Values: rest-api, soap-api, http-api, raml-fragment, custom,
                                connector, template, example, policy, app, extension, external-library
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Upload a rest-api, soap-api, http-api, custom, app, template, example, policy and connector asset. Basic example to
  upload a raml asset: exchange:asset:upload --name "Raml Asset" --description "RAML"
  --properties='{"mainFile":"encrypt.raml", "apiVersion":"v1"}' --files='{"raml.zip":".../file-path/raml.zip" }"'
  raml-asset/1.0.0. Describing the asset. Argument "assetIdentifier" should be formatted as follows:
  ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected
  Organization ID.
  To learn more about the creation endpoint visit https://anypoint.mulesoft.com/exchange/portals/anypoint-platform/f1e97
  bc6-315a-4490-82a7-23abe036327a.anypoint-platform/exchange-experience-api/minor/2.0/pages/Asset%20Creation/
```

_See code: [src/commands/exchange/asset/upload.ts](https://github.com/mulesoft/anypoint-cli-exchange-plugin/blob/v0.4.0/src/commands/exchange/asset/upload.ts)_

## `anypoint-cli-exchange-plugin help [COMMAND]`

Display help for anypoint-cli-exchange-plugin.

```
USAGE
  $ anypoint-cli-exchange-plugin help [COMMAND] [-n]

ARGUMENTS
  COMMAND  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for anypoint-cli-exchange-plugin.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.1.12/src/commands/help.ts)_

## `anypoint-cli-exchange-plugin version`

```
USAGE
  $ anypoint-cli-exchange-plugin version
```

_See code: [@oclif/plugin-version](https://github.com/oclif/plugin-version/blob/v1.0.4/src/commands/version.ts)_
<!-- commandsstop -->
