"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Delete extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.assetDelete = async (assetIdentifier, selectedOrganizationId) => {
            var _a, _b;
            try {
                const asset = utils.assetIdentifierValidator(assetIdentifier, selectedOrganizationId);
                const config = { headers: { 'X-Delete-Type': 'hard-delete' } };
                await this.req.delete(uris.orgAsset(asset, selectedOrganizationId), config);
                this.log('Asset deleted');
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Delete);
        await this.assetDelete(args.assetIdentifier, this.session.selectedOrganization.id);
    }
}
exports.default = Delete;
Delete.description = 'Delete an asset. ' + utils.assetIdentifierFormatMsg;
Delete.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    // flag with no value (-f, --force)
    force: core_1.Flags.boolean({ char: 'f' }),
};
Delete.args = [{ name: 'assetIdentifier',
        required: true,
    }];
