"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Deprecate extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.assetDeprecate = async (assetIdentifier, selectedOrganizationId) => {
            var _a, _b;
            try {
                const asset = utils.assetIdentifierValidator(assetIdentifier, selectedOrganizationId);
                const putData = uris.assetDeprecate(asset);
                await this.req.put(putData.url, putData.body);
                this.log(`Asset ${asset.assetId} Deprecated`);
            }
            catch (error) {
                ((_b = (_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Deprecate);
        await this.assetDeprecate(args.assetIdentifier, this.session.selectedOrganization.id);
    }
}
exports.default = Deprecate;
Deprecate.description = 'Deprecate an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID';
Deprecate.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Deprecate.args = [{ name: 'assetIdentifier',
        required: true,
    }];
