"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../../helpers/utils");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const exchangeUtils = require("../../../../helpers/utils");
class Update extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Update);
        await exchangeUtils.assetPageUpdate(args.assetIdentifier, this.session.selectedOrganization.id, args.pageName, args.mdPath, false, this);
    }
}
exports.default = Update;
Update.description = 'Update an asset\'s description page in Markdown format. ' +
    'The page name "home" represents the main description page. ' +
    'Argument "assetIdentifier" ' +
    'should be formatted as follows:' + utils.assetIdentifierFormatMsg;
Update.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    name: core_1.Flags.string({ char: 'n', description: 'name to print' }),
    force: core_1.Flags.boolean({ char: 'f' }),
};
Update.args = [{ name: 'assetIdentifier',
        required: true,
    }, { name: 'pageName', required: true }, { name: 'mdPath', required: true }];
