"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const exchangeUtils = require("../../../../helpers/utils");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Upload extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Upload);
        await exchangeUtils.assetPageUpdate(args.assetIdentifier, this.session.selectedOrganization.id, args.pageName, args.mdPath, true, this);
    }
}
exports.default = Upload;
Upload.description = 'Upload an asset\'s description page in Markdown format. ' +
    'The page name "home" makes a page the main description page. ' +
    'Argument "assetIdentifier" ' +
    'should be formatted as follows: ' + exchangeUtils.assetIdentifierFormatMsg;
Upload.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    name: core_1.Flags.string({ char: 'n', description: 'name to print' }),
    force: core_1.Flags.boolean({ char: 'f' }),
};
Upload.args = [{ name: 'assetIdentifier',
        required: true,
    }, { name: 'pageName', required: true }, { name: 'mdPath', required: true }];
