"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../../helpers/utils");
const uris = require("../../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Delete extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.deleteAssetResource = async (assetIdentifier, selectedOrganizationId, resourcePath) => {
            var _a, _b;
            try {
                const asset = utils.assetIdentifierValidator(assetIdentifier, selectedOrganizationId);
                const rp = uris.deleteAssetResource(asset, resourcePath);
                this.log('Deleting resource...');
                await this.req.delete(rp);
                this.log(`Resource deleted: ${resourcePath}`);
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Delete);
        await this.deleteAssetResource(args.assetIdentifier, this.session.selectedOrganization.id, args.resourcePath);
    }
}
exports.default = Delete;
Delete.description = 'Delete the specified resource from the asset portal as draft';
Delete.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Delete.args = [{ name: 'assetIdentifier', required: true }, { name: 'resourcePath', required: true }];
