"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class Undeprecate extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.assetUndeprecate = async (assetIdentifier, selectedOrganizationId) => {
            var _a, _b;
            try {
                const asset = utils.assetIdentifierValidator(assetIdentifier, selectedOrganizationId);
                const putData = uris.assetUndeprecate(asset);
                await this.req.put(putData.url, putData.body);
                this.log(`Asset ${asset.assetId} Undeprecated`);
            }
            catch (error) {
                ((_b = (_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args } = await this.parse(Undeprecate);
        await this.assetUndeprecate(args.assetIdentifier, this.session.selectedOrganization.id);
    }
}
exports.default = Undeprecate;
Undeprecate.description = 'Undeprecate an asset. Argument "assetIdentifier" should be formatted as follows: ([group_id]/)<asset_id>/<version>. If "group_id" is not specified, it will default to the currently selected Organization ID';
Undeprecate.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Undeprecate.args = [{ name: 'assetIdentifier',
        required: true,
    }];
