"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable unicorn/filename-case */
const core_1 = require("@oclif/core");
const utils = require("../../../helpers/utils");
const uris = require("../../../helpers/uris");
const anypoint_cli_command_1 = require("anypoint-cli-command");
class UpdateStatus extends anypoint_cli_command_1.AuthenticationBaseCommand {
    constructor() {
        super(...arguments);
        this.assetUpdateStatus = async (assetIdentifier, selectedOrganizationId, status) => {
            var _a, _b;
            try {
                const asset = utils.assetIdentifierValidator(assetIdentifier, selectedOrganizationId);
                const body = {
                    status,
                };
                const config = {
                    headers: {
                        'Content-Type': 'application/json',
                    },
                };
                this.log('Modifying asset status');
                await this.req.put(uris.updateAssetStatus(asset), body, config);
                this.log('Asset status modified');
            }
            catch (error) {
                ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.data) === null || _b === void 0 ? void 0 : _b.message) ? this.error(error.response.data.message) : this.error(error);
            }
        };
    }
    async run() {
        const { args, flags } = await this.parse(UpdateStatus);
        await this.assetUpdateStatus(args.assetIdentifier, this.session.selectedOrganization.id, flags.status);
    }
}
exports.default = UpdateStatus;
UpdateStatus.description = 'Updates asset status. ' + utils.assetIdentifierFormatMsg;
UpdateStatus.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    status: core_1.Flags.string({ description: '(required) New asset status', required: true }),
};
UpdateStatus.args = [{ name: 'assetIdentifier',
        required: true,
    }];
