"use strict";
/*
  Anypoint GraphQL queries.

  To explore queries in GraphiQL go to:

  GET_ASSETS: https://anypoint.mulesoft.com/graph/api/v2/graphiql/?variables=%7B%0A%20%20%22limit%22%3A%201%2C%0A%20%20%22offset%22%3A%202%2C%0A%20%20%22searchText%22%3A%20%22%22%2C%0A%20%20%22organizationId%22%3A%20%22%22%0A%7D&query=query(%24organizationId%3A%20String!%2C%20%24limit%3A%20Int%2C%20%24offset%3A%20Int%2C%20%24searchText%3A%20String!)%20%7B%0A%20%20assets(%0A%20%20%20%20query%3A%20%7B%20%0A%20%20%20%20%20%20limit%3A%20%24limit%2C%20%0A%20%20%20%20%20%20offset%3A%20%24offset%2C%20%0A%20%20%20%20%20%20searchTerm%3A%20%24searchText%2C%0A%20%20%20%20%20%20organizationIds%3A%20%5B%24organizationId%5D%0A%20%20%20%20%7D%0A%20%20)%20%7B%0A%20%20%20%20groupId%0A%20%20%20%20assetId%0A%20%20%20%20version%0A%20%20%20%20name%0A%20%20%20%20type%0A%20%20%20%20updatedAt%0A%20%20%20%20createdAt%0A%20%20%7D%0A%7D
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.GET_ASSETS = void 0;
const gql = require('graphql-tag');
exports.GET_ASSETS = gql `
  query($organizationIds: [String], $limit: Int, $offset: Int, $searchText: String!) {
    assets(
      limit: $limit,
      offset: $offset,
      searchTerm: $searchText,
      organizationIds: $organizationIds
    ) {
      groupId
      assetId
      version
      name
      type
      updatedDate
      createdDate
    }
  }
`;
