import { AuthenticationBaseCommand } from 'anypoint-cli-command';
import Asset from './types/asset';
declare const FormData: any;
export declare const assetIdentifierFormatMsg: string;
export declare const sourceTargetFormatMsg: string;
export declare const supportedClassifiers: string[];
export declare const supportedTypes: string[];
export declare const supportedHeaders: string[];
export declare const X_FROM_SERVICE_HEADER = "anypoint-cli";
export declare const SUPPORTED_RESOURCES: string[];
export declare const assetGAV: (gav: Array<string>, selectedOrganizationId: string) => Asset;
export declare const assetIdentifierValidator: (assetIdentifier: string, selectedOrganizationId: string) => Asset;
export declare const assetSourceTargetValidator: (assetIdentifier: string, selectedOrganizationId: string) => Asset;
export declare const resolvePath: (filepath?: string) => any;
export declare const buildFileFromFilepath: (filepath: string) => {
    formDataKey: string;
    path: string;
    filename: any;
};
export declare const getAssetPagesPaths: (asset: Asset, pageName: string | undefined, self: AuthenticationBaseCommand) => Promise<any>;
export declare const getAssetPagePath: (asset: Asset, pageName: string | undefined, self: AuthenticationBaseCommand) => Promise<any>;
export declare const createAssetPage: (self: AuthenticationBaseCommand, asset: Asset, pageName: string, headers?: any, ignoreConflict?: boolean) => Promise<undefined>;
export declare const publishAssetDraft: (asset: Asset, self: AuthenticationBaseCommand) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const putAssetInDraftMode: (asset: Asset, self: AuthenticationBaseCommand) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const fromNow: (time: string) => any;
export declare const assetTypeValidator: (typ: string) => any;
export declare const getAssetMainFile: (assetInfo: any) => any;
export declare const composeAssetFilePath: (dir: string, fileObj: any) => any;
export declare const assetUploadRequest: (self: AuthenticationBaseCommand, data: any, zipPath: string, url: string) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const getAssetsTable: (assets: any) => any[][];
export declare const assetDownloadCommon: (fileObj: any, fpath: string, self: AuthenticationBaseCommand) => Promise<unknown>;
export declare const logProperties: (self: AuthenticationBaseCommand, properties: any, message?: string, shouldJoin?: boolean) => void;
export declare const validateArgumentOptions: (options: any) => void;
export declare const insertCustomProperties: (formData: FormData, tag: any, properties: any) => void;
export declare const waitUntilFinishPublication: (self: AuthenticationBaseCommand, publicationStatusLink: string) => Promise<void>;
export declare const asyncUploadRequest: (self: AuthenticationBaseCommand, uploadFunction: any, asset: any, mainMetadata?: any, properties?: {}, files?: any, fields?: {}, categories?: {}, headers?: any) => Promise<any>;
export declare const uploadAssetPage: (asset: Asset, pageName: string, mdPath: string, self: AuthenticationBaseCommand) => Promise<import("axios").AxiosResponse<any, any>>;
export declare const assetPageUpdate: (assetIdentifier: string, orgId: string, pageName: string, mdPath: string, createPage: boolean, self: AuthenticationBaseCommand) => Promise<void>;
export {};
